aboutsummaryrefslogtreecommitdiff
path: root/print/cups-samba/files
diff options
context:
space:
mode:
authorPav Lucistnik <pav@FreeBSD.org>2004-06-27 13:37:49 +0000
committerPav Lucistnik <pav@FreeBSD.org>2004-06-27 13:37:49 +0000
commit71d7cb8789dd4ceebecce56f44a9c98bb3af1e8e (patch)
tree31e53e467ef1a13746ea5bef7242e647ed2cb728 /print/cups-samba/files
parenta7a77595854cd4a5f56f1a41d316b1f4770ee210 (diff)
Notes
Diffstat (limited to 'print/cups-samba/files')
-rw-r--r--print/cups-samba/files/patch-cups-samba.install100
-rw-r--r--print/cups-samba/files/patch-cups-samba.remove37
2 files changed, 137 insertions, 0 deletions
diff --git a/print/cups-samba/files/patch-cups-samba.install b/print/cups-samba/files/patch-cups-samba.install
new file mode 100644
index 000000000000..ee127de7663f
--- /dev/null
+++ b/print/cups-samba/files/patch-cups-samba.install
@@ -0,0 +1,100 @@
+--- cups-samba.install.old Tue Feb 10 14:52:51 2004
++++ cups-samba.install Tue Feb 10 16:56:05 2004
+@@ -1,4 +1,4 @@
+-#!/bin/sh
++#!%%LOCALBASE%%/bin/bash
+ # Installation script for CUPS - SAMBA Drivers for Windows NT/2k/XP/2k3 version 5.0rc3.
+ # Produced using ESP Package Manager v3.7.0; report problems to epm@easysw.com.
+ #%product CUPS - SAMBA Drivers for Windows NT/2k/XP/2k3
+@@ -8,8 +8,8 @@
+ #%rootsize 0
+ #%usrsize 503
+ #
+-PATH=/usr/xpg4/bin:/bin:/usr/bin:/usr/ucb:${PATH}
+-SHELL=/bin/sh
++PATH=/bin:/usr/bin:${PATH}
++SHELL=%%LOCALBASE%%/bin/bash
+ case "`uname`" in
+ Darwin*)
+ case "`id -un`" in
+@@ -91,9 +91,9 @@
+ esac
+ done
+ fi
+-if test -x /etc/software/cups-samba.remove; then
++if test -x %%LOCALBASE%%/etc/software/cups-samba.remove; then
+ echo Removing old versions of cups-samba software...
+- /etc/software/cups-samba.remove now
++ %%LOCALBASE%%/etc/software/cups-samba.remove now
+ fi
+ case `uname` in
+ AIX)
+@@ -134,7 +134,7 @@
+
+ *)
+ dfroot=`df -k / | tr '\n' ' '`
+- dfusr=`df -k /usr | tr '\n' ' '`
++ dfusr=`df -k %%PREFIX%% | tr '\n' ' '`
+ fsroot=`echo $dfroot | awk '{print $13}'`
+ sproot=`echo $dfroot | awk '{print $11}'`
+ fsusr=`echo $dfusr | awk '{print $13}'`
+@@ -167,44 +167,45 @@
+
+ if test $spss -gt $spusr; then
+ echo Not enough free disk space for software:
+- echo You need $spss kbytes in /usr but only have $spusr kbytes available.
++ echo You need $spss kbytes in %%PREFIX%% but only have $spusr kbytes available.
+ exit 1
+ fi
+ fi
+ fi
+-if test -w /usr ; then
++if test -w %%LOCALBASE%% ; then
+ echo Backing up old versions of shared files to be installed...
+- for file in /usr/share/cups/drivers/cups5.hlp /usr/share/cups/drivers/cupsdrv5.dll /usr/share/cups/drivers/cupsui5.dll; do
++ for file in %%LOCALBASE%%/share/cups/drivers/cups5.hlp %%LOCALBASE%%/share/cups/drivers/cupsdrv5.dll %%LOCALBASE%%/share/cups/drivers/cupsui5.dll; do
+ if test -d "$file" -o -f "$file" -o -h "$file"; then
+ mv -f "$file" "$file.O"
+ fi
+ done
+ fi
+ echo Installing software...
+-if echo Write Test >/usr/.writetest 2>/dev/null; then
+- $ac_tar cups-samba.ss
++if echo Write Test >%%PREFIX%%/.writetest 2>/dev/null; then
++ %%TARDY%% -Remove_Prefix /usr/share/cups/drivers -Prefix %%PREFIX%%/share/cups/drivers cups-samba.ss cups-samba.tar
++ $ac_tar cups-samba.tar
+ fi
+-if test -d /etc/software; then
+- rm -f /etc/software/cups-samba.remove
++if test -d %%LOCALBASE%%/etc/software; then
++ rm -f %%LOCALBASE%%/etc/software/cups-samba.remove
+ else
+- mkdir -p /etc/software
++ mkdir -p %%PREFIX%%/etc/software
+ fi
+-cp cups-samba.remove /etc/software
+-chmod 544 /etc/software/cups-samba.remove
++cp cups-samba.remove %%PREFIX%%/etc/software
++chmod 544 %%PREFIX%%/etc/software/cups-samba.remove
+ echo Updating file permissions...
+-if test -f /usr/.writetest; then
+- rm -f /usr/.writetest
++if test -f %%PREFIX%%/.writetest; then
++ rm -f %%PREFIX%%/.writetest
+ fi
+ echo Running post-install commands...
+ # Look for smbspool program in the path and various standard directories...
+ smbpath=`echo $PATH | tr ':' ' '`
+-smbpath="$smbpath /bin /usr/bin /usr/samba/bin /usr/local/samba/bin"
++smbpath="$smbpath /bin /usr/bin /usr/samba/bin %%LOCALBASE%%/samba/bin"
+ smbpath="$smbpath /usr/freeware/samba/bin /opt/samba/bin"
+ smbpath="$smbpath /h/COTS/CIFS/bin/Samba/bin"
+
+ serverbin="$CUPS_SERVERBIN"
+
+-for dir in /usr/libexec/cups /usr/lib/cups /usr/local/libexec/cups /usr/local/lib/cups; do
++for dir in /usr/libexec/cups /usr/lib/cups %%LOCALBASE%%/libexec/cups %%LOCALBASE%%/lib/cups; do
+ if test -d $dir; then
+ serverbin="$dir"
+ fi
diff --git a/print/cups-samba/files/patch-cups-samba.remove b/print/cups-samba/files/patch-cups-samba.remove
new file mode 100644
index 000000000000..494b8964c416
--- /dev/null
+++ b/print/cups-samba/files/patch-cups-samba.remove
@@ -0,0 +1,37 @@
+--- cups-samba.remove.old Tue Feb 10 17:30:45 2004
++++ cups-samba.remove Tue Feb 10 17:45:55 2004
+@@ -1,4 +1,4 @@
+-#!/bin/sh
++#!%%LOCALBASE%%/bin/bash
+ # Removal script for CUPS - SAMBA Drivers for Windows NT/2k/XP/2k3 version 5.0rc3.
+ # Produced using ESP Package Manager v3.7.0; report problems to epm@easysw.com.
+ #%product CUPS - SAMBA Drivers for Windows NT/2k/XP/2k3
+@@ -8,8 +8,8 @@
+ #%rootsize 0
+ #%usrsize 503
+ #
+-PATH=/usr/xpg4/bin:/bin:/usr/bin:/usr/ucb:${PATH}
+-SHELL=/bin/sh
++PATH=/bin:/usr/bin:${PATH}
++SHELL=%%LOCALBASE%%/bin/bash
+ case "`uname`" in
+ Darwin*)
+ case "`id -un`" in
+@@ -73,8 +73,8 @@
+ done
+ fi
+ echo Removing/restoring installed files...
+-if test -w /usr ; then
+- for file in /usr/share/cups/drivers/cups5.hlp /usr/share/cups/drivers/cupsdrv5.dll /usr/share/cups/drivers/cupsui5.dll; do
++if test -w %%PREFIX%% ; then
++ for file in %%PREFIX%%/share/cups/drivers/cups5.hlp %%PREFIX%%/share/cups/drivers/cupsdrv5.dll %%PREFIX%%/share/cups/drivers/cupsui5.dll; do
+ rm -f "$file"
+ if test -d "$file.O" -o -f "$file.O" -o -h "$file.O"; then
+ mv -f "$file.O" "$file"
+@@ -82,5 +82,5 @@
+ done
+ fi
+ echo Checking configuration files...
+-rm -f /etc/software/cups-samba.remove
++rm -f %%PREFIX%%/etc/software/cups-samba.remove
+ echo Removal is complete.